Bug 11214

Summary: Allow create routing list in serial collection page
Product: Koha Reporter: Fridolin Somers <fridolin.somers>
Component: SerialsAssignee: Fridolin Somers <fridolin.somers>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: minor    
Priority: P5 - low CC: colin.campbell, gmcharlt, liz
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Attachments: Bug 11214 - Allow create routing list in serial collection page
Bug 11214 - Allow create routing list in serial collection page
[PASSED QA] Bug 11214 - Allow create routing list in serial collection page

Description Fridolin Somers 2013-11-07 09:22:15 UTC
When a subscription has no routing list yet, the page serials/subscription-detail.pl shows in left menu : "Create routing list".
In serials/serials-collection.pl page, the link in table is always "Edit routing list", even when there is no routing list.
Comment 1 Fridolin Somers 2013-11-07 09:27:18 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2013-11-19 22:05:34 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-11-25 07:42:37 UTC
Created attachment 23127 [details] [review]
[PASSED QA] Bug 11214 - Allow create routing list in serial collection page

When a subscription has no routing list yet, the page
serials/subscription-detail.pl shows in left menu : "Create routing list".
In serials/serials-collection.pl page, the link in table is always
"Edit routing list", even when there is no routing list.

This patch adds a conditionnal link "Edit routing list"/"Create routing list"
into serials/serials-collection.pl page.

Test plan :
- Create a subscription no. 1 without routing list and a subscription
  no. 2 with a routing list
- Go to serials/serials-collection.pl of subscription no. 1
=> You see "Create routing list" link
- Click on link
=> You see "Create routing list for"
- Go to serials/serials-collection.pl of subscription no. 2
=> You see "Edit routing list" link
- Click on link
=> You see "Edit routing list for ..."

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Functional and automated tests pass. Passes koha-qa.pl.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script.
With the patch applied the serial collection page shows the
right link depending on the existance of a routing list.
Comment 4 Galen Charlton 2013-11-27 18:25:08 UTC
Pushed to master.  Thanks, Fridolin!
Comment 5 Fridolin Somers 2013-12-13 14:41:17 UTC
This patch has been pushed to 3.14.x, will be in 3.14.1